Skip to main content
GET
/
cards
/
{cardId}
/
intents
List card intents
curl --request GET \
  --url https://api.useproxy.ai/v1/cards/{cardId}/intents \
  --header 'Authorization: Bearer <token>'
{
  "cardId": "<string>",
  "intents": [
    {
      "id": "<string>",
      "cardId": "<string>",
      "purpose": "<string>",
      "status": "pending_approval",
      "intentId": "<string>",
      "expectedAmount": 123,
      "expectedCurrency": "<string>",
      "expectedMerchant": "<string>",
      "expectedMccs": [
        "<string>"
      ],
      "toleranceAmount": 123,
      "tolerancePercent": 123,
      "expiresAt": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "approvedAt": "2023-11-07T05:31:56Z",
      "rejectedAt": "2023-11-07T05:31:56Z",
      "rejectionReason": "<string>",
      "canceledAt": "2023-11-07T05:31:56Z",
      "matchedAt": "2023-11-07T05:31:56Z",
      "mismatchedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Path Parameters

cardId
string
required

Card ID (e.g., card_...)

Query Parameters

limit
integer
default:50

Maximum number of results to return (default: 50)

Required range: 1 <= x <= 100

Response

List of intents

cardId
string
required
intents
object[]
required